Adapter patch AC2 + TrinityJail C++

Bonjour, j’ai deux patch (trinityjail et AC2) et ils ne sont plus adapter a Trinity, je n’ai pas beaucoups d’erreur mais je ne sais pas comment les réadapter alors si quelqu’un pouvait m’aider, ça serait bien merci.

Les erreurs sont les suivantes:

AC2.patch

[CODE]…/AC2.patch:628: tab in indent.

    }

…/AC2.patch:750: tab in indent.

    }

error: patch failed: src/server/game/Server/Protocol/Handlers/MovementHandler.cpp:344

error: src/server/game/Server/Protocol/Handlers/MovementHandler.cpp: patch does not apply

error: patch failed: src/server/game/Server/Protocol/Handlers/TaxiHandler.cpp:49

error: src/server/game/Server/Protocol/Handlers/TaxiHandler.cpp: patch does not apply

error: patch failed: src/server/game/World/World.cpp:560

error: src/server/game/World/World.cpp: patch does not apply

error: patch failed: src/server/game/World/World.h:837

error: src/server/game/World/World.h: patch does not apply[/CODE]

TrinityJail.patch

fatal: corrupt patch at line 206

Je pense qu’on pourrait commencer par trinityjail, ça m’a l’air moins conséquent:

à la ligne 206 j’ai:

diff --git a/src/server/game/Chat/Chat.h b/src/server/game/Chat/Chat.h

Si vous pouviez m’aider ça serait super.

Voici les deux fichiers:

-AC2.patch

-TrinityJail.patch